import java.util.*;

public class Datenelement {
  // Ein Datenelement besteht aus Merkmalsausprgungen und der jeweiligen Klasse
  private double[] auspraegungen;
  private static int dimension;
  private String klasse;
  
  // Konstruktor: bergabe von Merkmalsausprgungen und Klasse 
  public Datenelement(String[] d) {
    dimension = d.length-1;
    klasse = d[dimension]; 
    auspraegungen = new double[dimension];
    for (int i=0; i<dimension; i++) {
      auspraegungen[i] = Double.parseDouble(d[i]); 
    }
  }
  
  public String getKlasse() {
    return klasse;
  }
  
  public double getAuspraegung(int i) {
    return auspraegungen[i];
  }
  
  // prft, ob zwei Datenelemente in allen Ausprgungen bereinstimmen
  public boolean identischMit(Datenelement d) {
    for(int i=0; i<dimension; i++) {
      if (this.auspraegungen[i] != d.auspraegungen[i]) {
        return false;
      }
    }
    return true;
  }
  
  // Ausgabe
  public String toString() {
    String ergebnis = "(";
    for (int i=0; i<dimension-1; i++) {
      ergebnis += auspraegungen[i] + "|";
    }
    ergebnis += auspraegungen[dimension-1] + ")";
    if (klasse != "") {
      ergebnis += "  ->  " + klasse;
    }
    return ergebnis;
  }
  
}